Subject: IPP> Additional comments on PRO + MOD docs...

From: "Turner, Randy" <[email-masked]>
Date: Tue, 25 Nov 1997 23:24:08 -0800

NOTE: These comments are in addition to my
security text proposals for both protocol and
model documents.

IPP Protocol Document Comments -

Section 3 - "Network Byte Order" description

I'm not sure I understand the use of the term "network byte order" 
when applied to 'character string' data types. I thought the
term "network byte order" applied to only data types that have
a least significant bit/byte and most significant bit/byte. Is our
current wording correct?

Section 3.10 Mapping of Attrribute Values

In the description of the term "resolution", the word "ints is
misspelled as "unts".....(FYI)

Section 4  

Has the port number 516 been allocated for IPP yet? 

Section 4.1 General Headers

I think we can go ahead and remove the ISSUE statement
about "HTTP experts". This document will hopefully be
removed by those experts during IESG last call.

Also, in section 4.1, the "Date" field should not reference
RFC 1123, since all headers are implicitly defined by 
RFC 2068. RFC 2068 may indeed reference 1123, but we
should keep HTTP 1.1 as the primary reference document
for HTTP 1.1 headers.

------------------------------------------------------------------------
---------------------------------------------------

IPP Model Document Comments

We've been careful about not replicating information 
in the protocol document that is defined by the
model document. I think this philosophy should go
both ways....hence most of my comments pertain
to this idea...

Section 3.1.2 Operation Targets

I think the "Note:" section about HTTP 1.1 should be
removed and covered by the protocol document.

Section 3.2 Printer Operations

Remove HTTP note...

Section 3.3 Job Operations

Move the HTTP rules to the protocol document (if they're
not already there...)

Section 4.3.1 job-uri

The statement "This MUST be an HTTP schemed URI" 
should be removed. 

Section 4.4.1 printer-uri

The statement "This MUST be an HTTP schemed URI"
should be removed.

Randy